#ifndef BOARDVIEW_H
#define BOARDVIEW_H

#include <QTableView>
#include <QMouseEvent>

class BoardView : public QTableView
{
    Q_OBJECT

    public:
        BoardView(QWidget *parent = 0);

    protected:
        virtual void mousePressEvent(QMouseEvent *e);
        virtual void mouseReleaseEvent(QMouseEvent *e);
        virtual void mouseMoveEvent(QMouseEvent *e);
        virtual void keyPressEvent(QKeyEvent *e);
	virtual bool event(QEvent *e);

};

#endif // BOARDVIEW_H
